List filed documents for a case
curl --request POST \
--url https://api.platform.arb.inc/filings/documents/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseID": "4f9b1d9e-0e7a-4b4d-9f0e-5f5f2b7d8a33"
}
'import requests
url = "https://api.platform.arb.inc/filings/documents/list"
payload = { "caseID": "4f9b1d9e-0e7a-4b4d-9f0e-5f5f2b7d8a33" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({caseID: '4f9b1d9e-0e7a-4b4d-9f0e-5f5f2b7d8a33'})
};
fetch('https://api.platform.arb.inc/filings/documents/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documents": [
{
"created": "2025-06-12T14:23:45Z",
"updated": "2025-06-18T09:11:02Z",
"filingID": "b1f6d3f2-0a5b-48fb-8b13-2a8c9b0f6e77",
"phaseID": "2c9f1c1e-7e2a-4f6c-9a54-3e8d2f4c6a11",
"documentType": "statementOfClaim",
"userID": "d7f2a1b3-4c5d-6e7f-8a90-b1c2d3e4f5a6",
"organizationID": "f3e9c5b7-8a1d-4c2e-9f0b-1a2b3c4d5e6f",
"isSubmitted": true,
"approved": "2025-06-20T16:45:00Z",
"approvedBy": "9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d",
"docketId": "8"
},
{
"created": "2025-06-10T10:05:12Z",
"updated": "2025-06-10T10:05:12Z",
"filingID": "3b7a9d5e-2c4f-4a6b-9d8e-0f1a2b3c4d5e",
"phaseID": "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
"documentType": "statementOfCase",
"userID": "11111111-2222-3333-4444-555555555555",
"organizationID": null,
"isSubmitted": false,
"approved": null,
"approvedBy": null,
"docketId": null
}
]
}filings
List filed documents for a case
Returns filed documents for a specific case that the signed-in user participates in.
POST
/
filings
/
documents
/
list
List filed documents for a case
Authorizations
access token
Body
application/json
The case ID to list filed documents for.
Example:
"4f9b1d9e-0e7a-4b4d-9f0e-5f5f2b7d8a33"
Response
Filed documents successfully retrieved.
List of filed documents for the case.
Show child attributes
Show child attributes
⌘I